Skip to content

Get Report ​

http
GET /api/analytics/v1/item-returns

Base URL: https://seller-analytics-api.wildberries.ru · Module: reports · Section: Returns and Item Movement Report · Specification doc ↗

Returns a list of item returns to the seller.

Request limit per one seller account:

TypePeriodLimitIntervalBurst
Personal1 min1 request1 min10 requests
Service1 min1 request1 min10 requests
Base with secret1 min1 request1 min10 requests
Base1 h2 requests30 min1 request

Parameters ​

NameInTypeReq.Description
dateFromquerystringyesBeginning date of the reporting period
dateToquerystringyesEnd date of the reporting period
statusquerystringnoReturn status: - archive — archive - active — active
limitqueryinteger<date>noNumber of returns in the response
offsetqueryinteger<date>noHow many results to skip. For example, for the value 10, the response will start with the 11 element

Responses ​

CodeDescriptionSchema
200SuccessItemReturns200Response
204No data—
400Bad requestHttp4XXResponse
401Unauthorizedobject
402Payment requiredobject
429Too many requestsobject

Structure 200:

  • count integer<int64> — Total number of returns for the requested period
  • report object[] — Report
    • sku string — SKU
    • brand string — Brand
    • completedDt string — Date and time the seller received the return
    • dstOfficeAddress string — Address of pick-up point where the seller receives returns
    • kiz string — Labeling code Chestny ZNAK
    • dstOfficeId integer<int64> — ID of pick-up point where the seller receives returns
    • expiredDt string — Expiration date and time of the storage period
    • nmId integer<int64> — WB item number
    • orderDt string — Date of the return order
    • orderId integer<int64> — Assembly order ID
    • readyToReturnDt string — Date and time when the return is ready for pickup
    • returnReason string — The reason for the return. The field is returned only when "returnType":"Возврат неопознанного товара"
    • returnType string — Return type
    • shkId integer<int64> — Item No.
    • srid string — Return order ID
    • returnStatus string — Return status
    • stickerId string — Sticker of the return order
    • subjectName string — Subcategory
    • techSize string — Size

Structure 400:

  • detail string — Error details
  • origin string — WB internal service ID
  • requestId string — Unique request ID
  • title string — Error title

Structure 401:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Unique request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Structure 402:

Structure 429:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Unique request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Call examples ​

Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.

python
from wb_api_client.reports import Configuration, ApiClient
from wb_api_client.reports.api import ReportsApi

cfg = Configuration(access_token="<your WB JWT>")
api = ReportsApi(ApiClient(cfg))

result = api.get_v1_item_returns(date_from=..., date_to=..., status=..., limit=..., offset=...)
print(result)
ts
import {
  Configuration,
  ReportsApi,
} from "@valeryverkhoturov/wb-api-client/reports";

const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new ReportsApi(cfg);

const { data } = await api.getV1ItemReturns(dateFrom, dateTo, status, limit, offset);
console.log(data);
go
import (
	"context"
	"fmt"

	wbreports "github.com/ValeryVerkhoturov/wb-api-client-go/reports"
)

cfg := wbreports.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbreports.NewAPIClient(cfg)

result, _, err := client.ReportsAPI.GetV1ItemReturns(context.Background()).DateFrom(dateFrom).DateTo(dateTo).Execute()
if err != nil {
    panic(err)
}
fmt.Printf("%+v\n", result)
java
import io.github.valeryverkhoturov.wbapi.reports.ApiClient;
import io.github.valeryverkhoturov.wbapi.reports.SecretString;
import io.github.valeryverkhoturov.wbapi.reports.api.ReportsApi;

ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
ReportsApi api = new ReportsApi(client);

System.out.println(api.getV1ItemReturns(dateFrom, dateTo, status, limit, offset));
php
use ValeryVerkhoturov\WbApiClient\Reports\Configuration;
use ValeryVerkhoturov\WbApiClient\Reports\SecretString;
use ValeryVerkhoturov\WbApiClient\Reports\Api\ReportsApi;
use GuzzleHttp\Client;

$config = (new Configuration())
    ->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new ReportsApi(new Client(), $config);

print_r($api->getV1ItemReturns($date_from, $date_to));
bsl
#Использовать "wb-api-client"

Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый ReportsApi(Настройки);

Сообщить(Клиент.GetV1ItemReturns(dateFrom, dateTo).Тело);
csharp
using ValeryVerkhoturov.WbApiClient.Reports.Api;
using ValeryVerkhoturov.WbApiClient.Reports.Client;

var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new ReportsApi(config);

Console.WriteLine(api.GetV1ItemReturns(dateFrom, dateTo));
rust
use wb_api_client::reports::apis::{configuration::Configuration, reports_api};

#[tokio::main]
async fn main() {
    let mut cfg = Configuration::new();
    cfg.set_access_token("<your WB JWT>");

    let result = reports_api::get_v1_item_returns(&cfg, date_from, date_to, status, limit, offset).await;
    println!("{:#?}", result);
}